package com.company.buginheritancepertable.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*
import javax.validation.constraints.NotNull

@JmixEntity
@Table(name = "BASE_CHILD")
@Entity
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
open class BaseChild {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @NotNull
    @OneToOne(fetch = FetchType.LAZY, mappedBy = "childReference", optional = false)
    var parent: Parent? = null

    @InstanceName
    fun getInstanceName(): String = "foo"
}