package com.company.buginheritancepertable.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "PARENT", indexes = [
    Index(name = "IDX_PARENT_CHILD_REFERENCE", columnList = "CHILD_REFERENCE_ID")
])
@Entity
open class Parent {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @JoinColumn(name = "CHILD_REFERENCE_ID")
    @OneToOne(fetch = FetchType.LAZY)
    var childReference: BaseChild? = null
}